/*
Fichier: exercice9.cpp
Auteur: Anis Boubaker
Date 2018-01-11

Description: Ce programme dtermine si l'coulement d'un fluide est
laminaire, turbulent ou transitoire. L'utilisateur doit saisir les caractristiques
du fluide,  savoir: vitesse caractristique, dimension caractristique et
viscosit cinmatique.

*/

/********************************************************
* Commande de prcompilateur
*********************************************************/
#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>

/********************************************************
* Constantes de compilation
*********************************************************/



int main(void)
{
	double vitesse;    //vitesse caractristique
	double dimension;  //dimension caractristique
	double viscosite;  //viscosit cinmatique
	double nb_Reynolds; //Le nombre de Reynolds calcul

						//Saisie des entres
	printf("Saisissez la vitesse caracteristique (m/s) : ");
	scanf("%lf", &vitesse);

	printf("Saisissez la dimension caracteristique (m) : ");
	scanf("%lf", &dimension);

	printf("Saisissez la viscosite cinematique (m^2/s) : ");
	scanf("%lf", &viscosite);

	//Calcul de la valeur de Reynolds selon la formule de l'nonc, p.4
	nb_Reynolds = vitesse * dimension / viscosite;

	if (nb_Reynolds < 2000) {
		printf("Votre ecoulement est laminaire ");
	}
	else if (nb_Reynolds>4000)
	{
		printf("Votre ecoulement est turbulent ");
	}
	else
	{
		printf("Votre ecoulement est transitoire ");
	}
	printf("(R=%.10lf).\n", nb_Reynolds);

	system("pause");
	return EXIT_SUCCESS;
}