/*
Fichier: exercice10.cpp
Auteur: Anis Boubaker
Date 2018-01-11

Description: Ce programme calcule le maximum de bton qu'on peut
fabriquer  partir d'une quantit de matire premire saisie par
l'usager. Le calcul se fait selon une recette de bton arm fournie
dans l'nonc de l'exercice.

*/

/********************************************************
* Commande de prcompilateur
*********************************************************/
#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>

/********************************************************
* Constantes de compilation
*********************************************************/
#define CIMENT_PAR_M3 350
#define SABLE_PAR_M3 680
#define GRAVIER_PAR_M3 1175


int main(void)
{
	double qte_ciment;    //La quant de ciment dont on dispose
	double qte_sable;  //La quantit de sable dont on dispose
	double qte_gravier;  //La quantit de gravier dont on dispose
	double max_beton = 0; //La quantit maximale de ciment qu'on peut fabriquer

	//Saisie des entres
	printf("Saisissez quantite de ciment (kg) : ");
	scanf("%lf", &qte_ciment);

	printf("Saisissez la quantite de sable (kg) : ");
	scanf("%lf", &qte_sable);

	printf("Saisissez la quantite de gravier (kg) : ");
	scanf("%lf", &qte_gravier);

	/*
	 * L'algorithme consiste  dterminer la quanti de bton que nous permet de frabriquer
	 * chaque ingrdient pris indpendemment. La quantit maximale sera alors la plus petite de ces quantits.
	 */
	
	if (qte_ciment / CIMENT_PAR_M3 < qte_sable / SABLE_PAR_M3) 
	{
		if (qte_ciment / CIMENT_PAR_M3 < qte_gravier / GRAVIER_PAR_M3)
		{
			max_beton = qte_ciment / CIMENT_PAR_M3;
		} 
		else
		{
			max_beton = qte_gravier / GRAVIER_PAR_M3;
		}
	} 
	else 
	{
		if (qte_sable / SABLE_PAR_M3 < qte_gravier / GRAVIER_PAR_M3)
		{
			max_beton = qte_sable / SABLE_PAR_M3;
		}
		else
		{
			max_beton = qte_gravier / GRAVIER_PAR_M3;
		}
	}

	//Affichage du rsultat
	printf("Vous pourrez fabriquez un maximum de %lf kg de beton.", max_beton);

	system("pause");
	return EXIT_SUCCESS;
}