/*
Fichier: exercice6.cpp
Auteur: Anis Boubaker
Date 2018-01-11

Description: Ce programme dcompose un montant en monnaie britannique. Un montant saisi par
l'usager est dcompos en livre, shilling et pennies.

*/

/********************************************************
* Commande de prcompilateur
*********************************************************/
#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>

/********************************************************
* Constantes de compilation
*********************************************************/
#define NB_PENNY_PAR_SHILLING 12
#define NB_SHILLING_PAR_POUND 20


int main(void)
{
	unsigned int montant_en_penny;  //Le montant  convertir
	unsigned int restant; //Stocke le nombre de penny restant aprs une conversion

	/* NDE: Dans cette solution, des variables n'ont pas t dfinies explicitement
	 * pour stocker les valeurs calcules, pour dmontrer l'usage des variables 
	 * anonymes utilises directement dans le printf. */

	//Saisie du montant
	printf("Veuillez saisir le nombre de pennies a convertir: ");
	scanf("%d", &montant_en_penny);

	//Calcul et affichage de la conversion
	printf("%d Penny = ", montant_en_penny);

	printf("%d Pound(s) \n", montant_en_penny / (NB_PENNY_PAR_SHILLING*NB_SHILLING_PAR_POUND));
	restant = montant_en_penny % (NB_PENNY_PAR_SHILLING*NB_SHILLING_PAR_POUND);

	printf("\t et %d Shilling(s) \n", restant / NB_PENNY_PAR_SHILLING);

	printf("\t et %d Penny(ies)\n", restant % NB_PENNY_PAR_SHILLING);

	system("pause");
	return EXIT_SUCCESS;
}