/*
Fichier: exercice7.cpp
Auteur: Anis Boubaker
Date 2018-01-11

Description: Ce programme affiche le plus petit de deux nombres saisis au clavier.

*/

/********************************************************
* Commande de prcompilateur
*********************************************************/
#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>

/********************************************************
* Constantes de compilation
*********************************************************/



int main(void)
{
	double nb1;  //Le premier nombre saisi
	double nb2;  //Le second nombre saisi

	//Saisie des nombres
	printf("Saisissez le premier nombre : ");
	scanf("%lf", &nb1);

	printf("Saisissez le second nombre : ");
	scanf("%lf", &nb2);

	//Affichage du plus grand
	if (nb1 < nb2) {
		printf("Le plus petit est %.5lf.\n", nb1);
	}
	else
	{
		printf("Le plus petit est %.5lf.\n", nb2);
	}

	/*
	 * NDE: Parfois, lorsqu'il s agit de calculer une valeur base sur un test simple, on peut viter
	 * la structure conditionnelle en utilisant l'oprateur ternaire. Cet oprateur nous permet de spcifier
	 * une condition et deux valeurs: une valeur si la condition est vraie, et une valeur si la condition est
	 * fausse. 
	 * Syntaxe: 
	 * condition ? valeur_si_vrai : valeur_si_faux
	 */

	//Affichage du plus grand en utilisant l'oprateur ternaire
	printf("Le plus petit (en utilisant l'oprateur ternaire) est %.5lf.\n", nb1 < nb2 ? nb1 : nb2);

	system("pause");
	return EXIT_SUCCESS;
}